org.optaplanner.core.impl.score.stream.common

## Class AbstractConstraintStreamHelper<Right,JoinedStream,Joiner,Predicate>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStreamHelper<Right,JoinedStream,Joiner,Predicate>

- Direct Known Subclasses:
    BiConstraintStreamHelper, TriConstraintStreamHelper, UniConstraintStreamHelper

      public abstract class AbstractConstraintStreamHelper<Right,JoinedStream,Joiner,Predicate>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConstraintStreamHelper()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract JoinedStream` | `doJoin(Class<Right> otherClass)`
    `protected abstract JoinedStream` | `doJoin(Class<Right> otherClass, Joiner... joiners)`
    `protected abstract JoinedStream` | `doJoin(Class<Right> otherClass, Joiner joiner)`
    `protected abstract Predicate` | `extractPredicate(Joiner joiner)`
    `protected abstract JoinedStream` | `filter(JoinedStream stream, Predicate predicate)`
    `protected abstract boolean` | `isFilteringJoiner(Joiner joiner)`
    `JoinedStream` | `join(Class<Right> otherClass, Joiner... joiners)`
    `protected abstract Joiner` | `mergeJoiners(Joiner... joiners)`
    `protected abstract Predicate` | `mergePredicates(Predicate predicate1, Predicate predicate2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractConstraintStreamHelper

          public AbstractConstraintStreamHelper()

  - ### Method Detail

    - #### doJoin

          protected abstract JoinedStream doJoin(Class<Right> otherClass)

    - #### doJoin

          protected abstract JoinedStream doJoin(Class<Right> otherClass,
                                                 Joiner joiner)

    - #### doJoin

          protected abstract JoinedStream doJoin(Class<Right> otherClass,
                                                 Joiner... joiners)

    - #### filter

          protected abstract JoinedStream filter(JoinedStream stream,
                                                 Predicate predicate)

    - #### mergeJoiners

          protected abstract Joiner mergeJoiners(Joiner... joiners)

    - #### isFilteringJoiner

          protected abstract boolean isFilteringJoiner(Joiner joiner)

    - #### extractPredicate

          protected abstract Predicate extractPredicate(Joiner joiner)

    - #### mergePredicates

          protected abstract Predicate mergePredicates(Predicate predicate1,
                                                       Predicate predicate2)

    - #### join

          public final JoinedStream join(Class<Right> otherClass,
                                         Joiner... joiners)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.